Qt 5.8 | Qt 3D | C++ Classes | QTextureCubeMap

Qt 5.8.0 Reference Documentation

# QTextureCubeMap Class

(Qt3DRender::QTextureCubeMap)

A QAbstractTexture with a TargetCubeMap target format. More...

Header: | #include <QTextureCubeMap>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DRender::QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTextureCubeMap(Qt3DCore::QNode *parent = nullptr)

- 21 public functions inherited from Qt3DRender::QAbstractTexture
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 15 properties inherited from Qt3DRender::QAbstractTexture
- 2 properties inherited from Qt3DCore::QNode
- 12 public slots inherited from Qt3DRender::QAbstractTexture
- 2 public slots inherited from Qt3DCore::QNode
- 13 signals inherited from Qt3DRender::QAbstractTexture
- 3 signals inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A QAbstractTexture with a TargetCubeMap target format.

## Member Function Documentation

### QTextureCubeMap::QTextureCubeMap(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTextureCubeMap.